var express = require("express"),
	app;

module.exports = {
	"server": {
		"factory": function _createServer(cb) {
			app = express.createServer();

			app.use(app.router);

			app.get("/", function(req, res) {
				res.send("hello world");
			});

			app.listen(4000);
			cb(app);
		},
		"kill": function _kill() {
			app.close();			
		},
		"uri": "http://localhost:4000"
	}
}